Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.1.4   

Resolution: Fixed Affected version: 2.1.2

Description

When using IE8, I am unable to bulk/batch update on tickets - After right-clicking a single item is selected instead of the multiple

items that were checked off before the right-click

Reproduce:

1. Select/Check 2 or more tickets

2. Right click one of the tickets

The ticket that was right-clicked on is now the only selected ticket

Expected results:

1. Select/Check 2 or more tickets

2. Right click one of the tickets

3. All ticket remain selected and context menu appears.

This is how Chrome & Firefox works.

About:

Environment:

  Redmine version                          2.1.2.stable

  Ruby version                             1.8.7 (i686-linux)

  Rails version                            3.2.8

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  redmine_didyoumean                       1.1.0

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.6.2

Rack version              1.4

Rails version             3.2.8

Active Record version     3.2.8

Action Pack version       3.2.8

Active Resource version   3.2.8

Action Mailer version     3.2.8

Active Support version    3.2.8

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache:

:Strategy::LocalCache::Middl

eware:0x1290df0>, Rack::Runtime, Rack::MethodOverride, ActionDispatch::RequestId, Rails::Rack::Log

ger, ActionDispatch::ShowExc

eptions, ActionDispatch::DebugExceptions, ActionDispatch::RemoteIp, ActionDispatch::Callbacks, Act

iveRecord::ConnectionAdapter

s::ConnectionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Sessio

n::CookieStore, ActionDispat

ch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, A

ctionDispatch::BestStandards

Support, OpenIdAuthentication

Application root          /var/www/redmine2.1.2/apps/redmine/htdocs
Environment               production

Database adapter          mysql

Database schema version   20120731164049

Associated revisions

Revision 10836 - 2012-11-18 11:02 - Jean-Philippe Lang

Fixed context menu for IE 7/8 (#12298).

Revision 10871 - 2012-11-23 23:28 - Jean-Philippe Lang

Merged r10836 from trunk (#12298).

History

#1 - 2012-11-08 23:24 - Jean-Philippe Lang

I'm not able to test with IE8 but works fine with IE9.

#2 - 2012-11-14 11:30 - fangzheng (方正)

Yes it's really reproducible.

I tried Compatibility View but it still occurs, so maybe it will also occurs on IE7.

I haven't try IE6.

By the way, this issue DOESN'T occur on our own redmine ver. 1.3.x with IE8.

#3 - 2012-11-14 12:00 - Etienne Massip

- Affected version (unused) set to 2.1.2

- Affected version set to 2.1.2

I do confirm I can't multiselect issues in list by left-clicking on their lines, they simply don't get checked and selected even if the mouse cursor is a

hand.

#4 - 2012-11-14 12:25 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

Restoring the navigator check commented in source:/trunk/public/javascripts/context_menu.js@10068#L28 solved my issue.

event.which returns 0. There's a jQuery bug which has been open then closed as dupe of another one, itself being closed because of the lack of

feedback.

Please try to remove the comments as I did and tell us if it solves your problem too.

#5 - 2012-11-14 15:48 - Tim Whitehead

I didn't even notice that clicking anywhere on the row (with/witout holding ctrl) was not selecting the item, I was initially only clicking directly on the

checkboxes.

I can confirm after un-commenting 

http://www.redmine.org/projects/redmine/repository/revisions/10068/entry/trunk/public/javascripts/context_menu.js#L28 that the context menu issue is

resolved in IE8.

#6 - 2012-11-15 09:07 - Etienne Massip

Actually I'm not sure that the event.which == 1 test is necessary at all since the contextMenuClick handler is bound to the click event which should

only be triggered on left button click.

Prototype.js isLeftClick() is a consequent piece of code uneasy to replace.

#7 - 2012-11-18 09:52 - Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.1.4

#8 - 2012-11-18 11:02 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Resolution set to Fixed
https://www.redmine.org/projects/redmine/repository/svn/revisions/10068/entry/trunk/public/javascripts/context_menu.js#L28
http://bugs.jquery.com/ticket/12705
http://bugs.jquery.com/ticket/12699
http://www.redmine.org/projects/redmine/repository/revisions/10068/entry/trunk/public/javascripts/context_menu.js#L28
https://github.com/sstephenson/prototype/blob/1fb9728/src/dom/event.js#L90


Fix committed in r10836.

#9 - 2012-11-23 23:28 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Assignee set to Jean-Philippe Lang

Merged in 2.1-stable.
